Nimbu Developer Docs
ReferenceConsent

Create or upsert a consent cookie

POST
/settings/consent/cookies

Creates a cookie. If a cookie with the same (application, name, domain) tuple already exists, the existing record is updated and a 200 response is returned instead of 201.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/settings/consent/cookies" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "application": "string"  }'
{
  "id": "string",
  "name": "string",
  "path": "string",
  "domain": "string",
  "application": "string"
}
{
  "id": "string",
  "name": "string",
  "path": "string",
  "domain": "string",
  "application": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}